japa.parser.ast.comments

## Class CommentsParser

- java.lang.Object
- - japa.parser.ast.comments.CommentsParser

    public class CommentsParser
    extends Object

This parser cares exclusively about comments.

### Constructor Summary

Constructors
Constructor and Description
`CommentsParser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CommentsCollection` `parse(InputStream in, String encoding)`
`CommentsCollection` `parse(String source)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommentsParser

    public CommentsParser()

### Method Detail

#### parse

    public CommentsCollection parse(String source)
                             throws IOException,
                                    UnsupportedEncodingException

Throws:
  `IOException`
  `UnsupportedEncodingException`

#### parse

    public CommentsCollection parse(InputStream in,
                                    String encoding)
                             throws IOException,
                                    UnsupportedEncodingException

Throws:
  `IOException`
  `UnsupportedEncodingException`